com.microfocus.awm.remote

## Interface ISystemImage

- All Known Implementing Classes:
    LocalSystemImage, ZExplorerConnectorService

      public interface ISystemImage

  Reference to a (remote) system.

  Remote systems are usually lightweight representations of a remote connection (e.g. z/OS), which require the user to log in using user ID and password.

  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectSystem(org.eclipse.core.runtime.IProgressMonitor pMon)` Establishes a connection to the remote system.
    `void` | `disconnectSystem(org.eclipse.core.runtime.IProgressMonitor pMon)` Disconnects the system.
    `EHostCodepage` | `getEncoding()`
    `java.lang.String` | `getHostName()`
    `ELocalCodepage` | `getLocalCharset()`
    `java.lang.String` | `getName()` Returns the logical, unique name of the system.
    `java.lang.String` | `getPassword()`
    `int` | `getPort()`
    `java.lang.Object` | `getSystemImplementation()` Deprecated. Do not use. May be removed in the future.
    `java.lang.String` | `getType()` Returns a unique system type.
    `java.lang.String` | `getUserID()` Returns the user id of the user who is currently connected to this system image.
    `boolean` | `isConnected()`
    `boolean` | `isConnecting()`

- - ### Method Detail

    - #### connectSystem

          void connectSystem(org.eclipse.core.runtime.IProgressMonitor pMon)
                      throws java.io.IOException

      Establishes a connection to the remote system.
      Parameters:
        `pMon` - progress monitor
      Throws:
        `java.io.IOException` - if the connection could not be established

    - #### disconnectSystem

          void disconnectSystem(org.eclipse.core.runtime.IProgressMonitor pMon)
                         throws java.io.IOException

      Disconnects the system. Does nothing if the system is not connected.
      Parameters:
        `pMon` - progress monitor
      Throws:
        `java.io.IOException` - if the disconnect fails e.g. because of network problems

    - #### getUserID

          java.lang.String getUserID()

      Returns the user id of the user who is currently connected to this system image.
      Returns:
        the ID of the connected user or `null` if the system image is not connected.

    - #### getName

          java.lang.String getName()

      Returns the logical, unique name of the system. It is used to identify system images, i.a. when AWM systems are being restored from cache.

      Note: The name `Local` is reserved by AWM and should not be used by any other implementations.

      Returns:
        the unique name of the system image

    - #### isConnected

          boolean isConnected()

      Returns:
        `true` if there is an active connection to the remote system. `false` otherwise.

    - #### getHostName

          java.lang.String getHostName()

      Returns:
        the system's IP address

    - #### getPort

          int getPort()

      Returns:
        the port of the system

    - #### getPassword

          java.lang.String getPassword()

      Returns:
        the corresponding password for the used user id
      See Also:
        `getUserID()`

    - #### isConnecting

          boolean isConnecting()

      Returns:
        `true` if the system is currently connecting

    - #### getEncoding

          EHostCodepage getEncoding()

      Returns:
        the encoding charset of this system

    - #### getLocalCharset

          ELocalCodepage getLocalCharset()

      Returns:
        the (configured) local charset

    - #### getSystemImplementation

          @Deprecated
          java.lang.Object getSystemImplementation()

      Deprecated. Do not use. May be removed in the future.
      returns an object implementing this interface
      Returns:
        object implementing this interface

    - #### getType

          java.lang.String getType()

      Returns a unique system type.
      Returns:
        the system type.

Copyright © 2015 Micro Focus GmbH. All rights reserved.